/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

public interface AlertObject
        extends JEObject {

    void setAlert_id(Long alert_id);

    void setCreator_id(Long creator_id);

    void setCreator_type(Integer creator_type);

    void setSender_id(Long sender_id);

    void setSender_type(Integer sender_type);

    void setRecipient_id(Long recipient_id);

    void setRecipient_type(Integer recipient_type);

    void setWorkgroup_id(Long workgroup_id);

    void setTier(Integer tier);

    void setTo_all(Integer to_all);

    void setFocus_id(String focus_id);

    void setTab_id(String tab_id);

    void setForm_id(String form_id);

    void setRecord_id(String record_id);

    void setRecord_id2(String record_id2);

    void setRecord_id3(String record_id3);

    void setRecord_id4(String record_id4);

    void setMessage(String message);

    void setSeverity(Integer severity);

    void setDateposted(Date dateposted);

    Long getAlert_id();

    Long getCreator_id();

    Integer getCreator_type();

    Long getSender_id();

    Integer getSender_type();

    Long getRecipient_id();

    Integer getRecipient_type();

    Long getWorkgroup_id();

    Integer getTier();

    Integer getTo_all();

    String getFocus_id();

    String getTab_id();

    String getForm_id();

    String getRecord_id();

    String getRecord_id2();

    String getRecord_id3();

    String getRecord_id4();

    String getMessage();

    Integer getSeverity();

    Date getDateposted();
}
